View Issue Details

IDProjectCategoryView StatusLast Update
0025710mantisbtdocumentationpublic2019-12-13 18:06
Reporterochattlesworth Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Product Version2.19.0 
Summary0025710: Documentation should include accepted values
Description

The documentation can be confusing in terms of what values are accepted for a field. Sometimes this leads to entering an invalid setting and MantisBT fails to load which results in frustration and time spent trying to figure out what went wrong. The documentation could be made much clearer by including the type of value that is accepted for each field (i.e. string, boolean, integer, etc).

For example:

$g_custom_headers
(string array)

$g_allow_signup
(boolean)

$g_max_failed_login_count
(integer)

$g_notify_new_user_created_threshold_min
(string)

TagsNo tags attached.

Activities

dregad

dregad

2019-04-24 08:16

developer   ~0061987

You will find this information in the PHPDoc blocks in config_defaults_inc.php, e.g.

/**
 * Allow users to signup for their own accounts.
[...]
 * @global integer $g_allow_signup
 */
$g_allow_signup                 = ON;
dregad

dregad

2019-12-03 05:47

developer   ~0063163

Without feedback from your side, I assume you're satisfied with the answer provided in my previous note.

Issue History

Date Modified Username Field Change
2019-04-23 22:29 ochattlesworth New Issue
2019-04-24 08:16 dregad Status new => feedback
2019-04-24 08:16 dregad Note Added: 0061987
2019-12-03 05:47 dregad Assigned To => dregad
2019-12-03 05:47 dregad Status feedback => resolved
2019-12-03 05:47 dregad Resolution open => no change required
2019-12-03 05:47 dregad Note Added: 0063163
2019-12-13 18:06 atrol Status resolved => closed